package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class TypePegawai
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "TypePegawai_M")
public class TypePegawaiVO extends BaseMasterVO {
	@Caption(value="Kode Type Pegawai")
	private Byte kdTypePegawai;

	public void setKdTypePegawai(Byte kdTypePegawai) {
		this.kdTypePegawai = kdTypePegawai;
	}

	@Column(name = "KdTypePegawai", nullable = false )
	public Byte getKdTypePegawai(){
		return this.kdTypePegawai;
	}

	@Caption(value="QType Pegawai")
	private Byte qTypePegawai;

	public void setqTypePegawai(Byte qTypePegawai) {
		this.qTypePegawai = qTypePegawai;
	}

	@Column(name = "QTypePegawai", nullable = false )
	public Byte getqTypePegawai(){
		return this.qTypePegawai;
	}

	@Caption(value="Type Pegawai")
	private String typePegawai;

	public void setypePegawai(String typePegawai) {
		this.typePegawai = typePegawai;
	}

	@Column(name = "TypePegawai", nullable = false , length = 30)
	public String getTypePegawai(){
		return this.typePegawai;
	}


}

